Convert ODT files via REST API (Legacy)

Deprecated

Legacy ODT REST API — Deprecated

This REST API is deprecated and will be sunset at some point in 2026 with prior communication from the team. For new integrations, use the updated ODT export REST API and import REST API.

The ODT document conversion API supports conversion from and to Tiptap's JSON format.

Review the postman collection

You can also experiment with the Document Conversion API by heading over to our Postman Collection.

Import API endpoint

POST /import

The /import endpoint enables the conversion of ODT files into Tiptap's JSON format. Users can POST documents to this endpoint.

Example (cURL)

curl -X POST "https://api.tiptap.dev/v1/convert/import" \
  -H "Authorization: Bearer <your-jwt>" \
  -H "X-App-Id: <your-app-id>" \
  -F "file=@/path/to/document.odt"

In this example, the request uploads an ODT file

Required headers

NameDescription
AuthorizationThe JWT to authenticate the request. Example: Bearer your-jwt
X-App-IdThe Convert App-ID from the Collaboration settings page: https://cloud.tiptap.dev/convert-settings

Body

NameTypeDescription
fileFileThe file to convert
imageUploadCallbackUrlstringThe callback endpoint to upload images that were encountered within the uploaded document

Export API endpoint

POST /export

The /export endpoint converts Tiptap documents back into the odt format.

Required headers

NameDescription
AuthorizationThe JWT to authenticate the request. Example: Bearer your-jwt
X-App-IdThe Convert App-ID from the Collaboration settings page: https://cloud.tiptap.dev/convert-settings

Body

NameTypeDescription
prosemirrorJsonObjectTiptap/ProseMirror JSON
tostringThe format to convert to, should be odt